package com.ruoyi.system.domain.lawcase;

import java.io.Serializable;

/**
 * 简易执法
 */
public class CaseSimple implements Serializable {
    /**
     * 案件受理ID
     */
    private String id;

    /**
     * 案由
     */
    private String ay;

    /**
     * 案件类型
     */
    private String ajlx;

    /**
     * 公民or法人
     */
    private String gmorfr;

    /**
     * 当事人法人名称
     */
    private String dsrFrMc;

    /**
     * 当事人法人姓名
     */
    private String dsrFrXm;

    /**
     * 当事人法人职务
     */
    private String dsrFrZw;

    /**
     * 当事人法人地址
     */
    private String dsrFrDz;

    /**
     * 当事人法人联系电话
     */
    private String dsrFrTel;

    /**
     * 当事人公民姓名
     */
    private String dsrGmXm;

    /**
     * 当事人公民性别
     */
    private String dsrGmXb;

    /**
     * 当事人公民年龄
     */
    private String dsrGmNl;

    /**
     * 当事人公民身份证号码
     */
    private String dsrGmSfz;

    /**
     * 当事人公民住址
     */
    private String dsrGmDz;

    /**
     * 当事人公民联系电话
     */
    private String dsrGmTel;

    /**
     * 创建时间
     */
    private String sbsj;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 是否办理0:未完成，1:完成
     */
    private String ylzd1;

    /**
     * 提交时间
     */
    private String ylzd2;

    /**
     * 附件
     */
    private String ylzd3;

    /**
     * 案发地点
     */
    private String ylzd4;

    /**
     * 丁蜀当场处罚决定书附件字段
     */
    private String ylzd5;

    /**
     * 丁蜀处罚票据附件字段
     */
    private String ylzd6;

    /**
     * 丁蜀现场检查笔录附件字段
     */
    private String ylzd7;

    private String ylzd8;

    private String ylzd9;

    private String ylzd10;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAy() {
        return ay;
    }

    public void setAy(String ay) {
        this.ay = ay;
    }

    public String getAjlx() {
        return ajlx;
    }

    public void setAjlx(String ajlx) {
        this.ajlx = ajlx;
    }

    public String getGmorfr() {
        return gmorfr;
    }

    public void setGmorfr(String gmorfr) {
        this.gmorfr = gmorfr;
    }

    public String getDsrFrMc() {
        return dsrFrMc;
    }

    public void setDsrFrMc(String dsrFrMc) {
        this.dsrFrMc = dsrFrMc;
    }

    public String getDsrFrXm() {
        return dsrFrXm;
    }

    public void setDsrFrXm(String dsrFrXm) {
        this.dsrFrXm = dsrFrXm;
    }

    public String getDsrFrZw() {
        return dsrFrZw;
    }

    public void setDsrFrZw(String dsrFrZw) {
        this.dsrFrZw = dsrFrZw;
    }

    public String getDsrFrDz() {
        return dsrFrDz;
    }

    public void setDsrFrDz(String dsrFrDz) {
        this.dsrFrDz = dsrFrDz;
    }

    public String getDsrFrTel() {
        return dsrFrTel;
    }

    public void setDsrFrTel(String dsrFrTel) {
        this.dsrFrTel = dsrFrTel;
    }

    public String getDsrGmXm() {
        return dsrGmXm;
    }

    public void setDsrGmXm(String dsrGmXm) {
        this.dsrGmXm = dsrGmXm;
    }

    public String getDsrGmXb() {
        return dsrGmXb;
    }

    public void setDsrGmXb(String dsrGmXb) {
        this.dsrGmXb = dsrGmXb;
    }

    public String getDsrGmNl() {
        return dsrGmNl;
    }

    public void setDsrGmNl(String dsrGmNl) {
        this.dsrGmNl = dsrGmNl;
    }

    public String getDsrGmSfz() {
        return dsrGmSfz;
    }

    public void setDsrGmSfz(String dsrGmSfz) {
        this.dsrGmSfz = dsrGmSfz;
    }

    public String getDsrGmDz() {
        return dsrGmDz;
    }

    public void setDsrGmDz(String dsrGmDz) {
        this.dsrGmDz = dsrGmDz;
    }

    public String getDsrGmTel() {
        return dsrGmTel;
    }

    public void setDsrGmTel(String dsrGmTel) {
        this.dsrGmTel = dsrGmTel;
    }

    public String getSbsj() {
        return sbsj;
    }

    public void setSbsj(String sbsj) {
        this.sbsj = sbsj;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    public String getYlzd6() {
        return ylzd6;
    }

    public void setYlzd6(String ylzd6) {
        this.ylzd6 = ylzd6;
    }

    public String getYlzd7() {
        return ylzd7;
    }

    public void setYlzd7(String ylzd7) {
        this.ylzd7 = ylzd7;
    }

    public String getYlzd8() {
        return ylzd8;
    }

    public void setYlzd8(String ylzd8) {
        this.ylzd8 = ylzd8;
    }

    public String getYlzd9() {
        return ylzd9;
    }

    public void setYlzd9(String ylzd9) {
        this.ylzd9 = ylzd9;
    }

    public String getYlzd10() {
        return ylzd10;
    }

    public void setYlzd10(String ylzd10) {
        this.ylzd10 = ylzd10;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", ay=").append(ay);
        sb.append(", ajlx=").append(ajlx);
        sb.append(", gmorfr=").append(gmorfr);
        sb.append(", dsrFrMc=").append(dsrFrMc);
        sb.append(", dsrFrXm=").append(dsrFrXm);
        sb.append(", dsrFrZw=").append(dsrFrZw);
        sb.append(", dsrFrDz=").append(dsrFrDz);
        sb.append(", dsrFrTel=").append(dsrFrTel);
        sb.append(", dsrGmXm=").append(dsrGmXm);
        sb.append(", dsrGmXb=").append(dsrGmXb);
        sb.append(", dsrGmNl=").append(dsrGmNl);
        sb.append(", dsrGmSfz=").append(dsrGmSfz);
        sb.append(", dsrGmDz=").append(dsrGmDz);
        sb.append(", dsrGmTel=").append(dsrGmTel);
        sb.append(", sbsj=").append(sbsj);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append(", ylzd6=").append(ylzd6);
        sb.append(", ylzd7=").append(ylzd7);
        sb.append(", ylzd8=").append(ylzd8);
        sb.append(", ylzd9=").append(ylzd9);
        sb.append(", ylzd10=").append(ylzd10);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CaseSimple other = (CaseSimple) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getAy() == null ? other.getAy() == null : this.getAy().equals(other.getAy()))
                && (this.getAjlx() == null ? other.getAjlx() == null : this.getAjlx().equals(other.getAjlx()))
                && (this.getGmorfr() == null ? other.getGmorfr() == null : this.getGmorfr().equals(other.getGmorfr()))
                && (this.getDsrFrMc() == null ? other.getDsrFrMc() == null : this.getDsrFrMc().equals(other.getDsrFrMc()))
                && (this.getDsrFrXm() == null ? other.getDsrFrXm() == null : this.getDsrFrXm().equals(other.getDsrFrXm()))
                && (this.getDsrFrZw() == null ? other.getDsrFrZw() == null : this.getDsrFrZw().equals(other.getDsrFrZw()))
                && (this.getDsrFrDz() == null ? other.getDsrFrDz() == null : this.getDsrFrDz().equals(other.getDsrFrDz()))
                && (this.getDsrFrTel() == null ? other.getDsrFrTel() == null : this.getDsrFrTel().equals(other.getDsrFrTel()))
                && (this.getDsrGmXm() == null ? other.getDsrGmXm() == null : this.getDsrGmXm().equals(other.getDsrGmXm()))
                && (this.getDsrGmXb() == null ? other.getDsrGmXb() == null : this.getDsrGmXb().equals(other.getDsrGmXb()))
                && (this.getDsrGmNl() == null ? other.getDsrGmNl() == null : this.getDsrGmNl().equals(other.getDsrGmNl()))
                && (this.getDsrGmSfz() == null ? other.getDsrGmSfz() == null : this.getDsrGmSfz().equals(other.getDsrGmSfz()))
                && (this.getDsrGmDz() == null ? other.getDsrGmDz() == null : this.getDsrGmDz().equals(other.getDsrGmDz()))
                && (this.getDsrGmTel() == null ? other.getDsrGmTel() == null : this.getDsrGmTel().equals(other.getDsrGmTel()))
                && (this.getSbsj() == null ? other.getSbsj() == null : this.getSbsj().equals(other.getSbsj()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
                && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
                && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
                && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
                && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
                && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
                && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()))
                && (this.getYlzd6() == null ? other.getYlzd6() == null : this.getYlzd6().equals(other.getYlzd6()))
                && (this.getYlzd7() == null ? other.getYlzd7() == null : this.getYlzd7().equals(other.getYlzd7()))
                && (this.getYlzd8() == null ? other.getYlzd8() == null : this.getYlzd8().equals(other.getYlzd8()))
                && (this.getYlzd9() == null ? other.getYlzd9() == null : this.getYlzd9().equals(other.getYlzd9()))
                && (this.getYlzd10() == null ? other.getYlzd10() == null : this.getYlzd10().equals(other.getYlzd10()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAy() == null) ? 0 : getAy().hashCode());
        result = prime * result + ((getAjlx() == null) ? 0 : getAjlx().hashCode());
        result = prime * result + ((getGmorfr() == null) ? 0 : getGmorfr().hashCode());
        result = prime * result + ((getDsrFrMc() == null) ? 0 : getDsrFrMc().hashCode());
        result = prime * result + ((getDsrFrXm() == null) ? 0 : getDsrFrXm().hashCode());
        result = prime * result + ((getDsrFrZw() == null) ? 0 : getDsrFrZw().hashCode());
        result = prime * result + ((getDsrFrDz() == null) ? 0 : getDsrFrDz().hashCode());
        result = prime * result + ((getDsrFrTel() == null) ? 0 : getDsrFrTel().hashCode());
        result = prime * result + ((getDsrGmXm() == null) ? 0 : getDsrGmXm().hashCode());
        result = prime * result + ((getDsrGmXb() == null) ? 0 : getDsrGmXb().hashCode());
        result = prime * result + ((getDsrGmNl() == null) ? 0 : getDsrGmNl().hashCode());
        result = prime * result + ((getDsrGmSfz() == null) ? 0 : getDsrGmSfz().hashCode());
        result = prime * result + ((getDsrGmDz() == null) ? 0 : getDsrGmDz().hashCode());
        result = prime * result + ((getDsrGmTel() == null) ? 0 : getDsrGmTel().hashCode());
        result = prime * result + ((getSbsj() == null) ? 0 : getSbsj().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        result = prime * result + ((getYlzd6() == null) ? 0 : getYlzd6().hashCode());
        result = prime * result + ((getYlzd7() == null) ? 0 : getYlzd7().hashCode());
        result = prime * result + ((getYlzd8() == null) ? 0 : getYlzd8().hashCode());
        result = prime * result + ((getYlzd9() == null) ? 0 : getYlzd9().hashCode());
        result = prime * result + ((getYlzd10() == null) ? 0 : getYlzd10().hashCode());
        return result;
    }
}